Class | I18nSimpleBackendPluralizeTest
In: | lib/active_support/vendor/i18n-0.1.3/test/simple_backend_test.rb
Parent: | Test::Unit::TestCase

### Methods

test_interpolate_given_incomplete_pluralization_data_raises_invalid_pluralization_data test_pluralize_given_0_returns_plural_string_if_no_zero_key_given test_pluralize_given_0_returns_zero_string_if_zero_key_given test_pluralize_given_1_returns_singular_string test_pluralize_given_2_returns_plural_string test_pluralize_given_3_returns_plural_string test_pluralize_given_nil_returns_the_given_entry

### Included Modules

I18nSimpleBackendTestSetup

### Public Instance methods

test_interpolate_given_incomplete_pluralization_data_raises_invalid_pluralization_data()
test_pluralize_given_0_returns_plural_string_if_no_zero_key_given()
test_pluralize_given_0_returns_zero_string_if_zero_key_given()
test_pluralize_given_1_returns_singular_string()
test_pluralize_given_2_returns_plural_string()
test_pluralize_given_3_returns_plural_string()
test_pluralize_given_nil_returns_the_given_entry()

[Validate]